package models

const TableNameWkAigNews = "wk_aig_news"        //PG数据库新闻文章数据表(AI加工数据)
const TableNameWkAigNewsChs = "wk_aig_news_chs" //PG数据库新闻文章数据表(AI加工数据)

const (
	WK_AIG_NEWS_COLUMN_ID           = "id"
	WK_AIG_NEWS_COLUMN_ORG_ID       = "org_id"
	WK_AIG_NEWS_COLUMN_TAG          = "tag"
	WK_AIG_NEWS_COLUMN_CATEGORY     = "category"
	WK_AIG_NEWS_COLUMN_MAIN_TITLE   = "main_title"
	WK_AIG_NEWS_COLUMN_SUB_TITLE    = "sub_title"
	WK_AIG_NEWS_COLUMN_SUMMARY      = "summary"
	WK_AIG_NEWS_COLUMN_KEYWORDS     = "keywords"
	WK_AIG_NEWS_COLUMN_SEO_KEYWORDS = "seo_keywords"
	WK_AIG_NEWS_COLUMN_URL          = "url"
	WK_AIG_NEWS_COLUMN_IMAGE_URL    = "image_url"
	WK_AIG_NEWS_COLUMN_CONTENT      = "content"
	WK_AIG_NEWS_COLUMN_IS_HOTSPOT   = "is_hotspot"
	WK_AIG_NEWS_COLUMN_CREATED_TIME = "created_time"
)

type WkAigNewsDO struct {
	Id          int64  `json:"id" db:"id" bson:"_id"`                                               //自增ID
	OrgId       int64  `json:"org_id" db:"org_id" bson:"org_id"`                                    //源文章ID
	Tag         string `json:"tag" db:"tag" bson:"tag"`                                             //文章标签
	Category    string `json:"category" db:"category" bson:"category"`                              //分类
	MainTitle   string `json:"main_title" db:"main_title" bson:"main_title"`                        //主标题
	SubTitle    string `json:"sub_title" db:"sub_title" bson:"sub_title"`                           //副标题
	Summary     string `json:"summary" db:"summary" sqlca:"isnull" bson:"summary"`                  //摘要
	Keywords    string `json:"keywords" db:"keywords" sqlca:"isnull" bson:"keywords"`               //文章关键词
	SeoKeywords string `json:"seo_keywords" db:"seo_keywords" sqlca:"isnull" bson:"seo_keywords"`   //SEO关键词
	Url         string `json:"url" db:"url" sqlca:"isnull" bson:"url"`                              //文章链接
	ImageUrl    string `json:"image_url" db:"image_url" sqlca:"isnull" bson:"image_url"`            //图片URL
	Content     string `json:"content" db:"content" sqlca:"isnull" bson:"content"`                  //文章内容
	IsHotspot   bool   `json:"is_hotspot" db:"is_hotspot" bson:"is_hotspot"`                        //是否订阅推送(0=否 1=是)
	CreatedTime string `json:"created_time" db:"created_time" sqlca:"readonly" bson:"created_time"` //数据创建时间
}

func (do *WkAigNewsDO) GetId() int64            { return do.Id }
func (do *WkAigNewsDO) SetId(v int64)           { do.Id = v }
func (do *WkAigNewsDO) GetOrgId() int64         { return do.OrgId }
func (do *WkAigNewsDO) SetOrgId(v int64)        { do.OrgId = v }
func (do *WkAigNewsDO) GetTag() string          { return do.Tag }
func (do *WkAigNewsDO) SetTag(v string)         { do.Tag = v }
func (do *WkAigNewsDO) GetCategory() string     { return do.Category }
func (do *WkAigNewsDO) SetCategory(v string)    { do.Category = v }
func (do *WkAigNewsDO) GetMainTitle() string    { return do.MainTitle }
func (do *WkAigNewsDO) SetMainTitle(v string)   { do.MainTitle = v }
func (do *WkAigNewsDO) GetSubTitle() string     { return do.SubTitle }
func (do *WkAigNewsDO) SetSubTitle(v string)    { do.SubTitle = v }
func (do *WkAigNewsDO) GetSummary() string      { return do.Summary }
func (do *WkAigNewsDO) SetSummary(v string)     { do.Summary = v }
func (do *WkAigNewsDO) GetKeywords() string     { return do.Keywords }
func (do *WkAigNewsDO) SetKeywords(v string)    { do.Keywords = v }
func (do *WkAigNewsDO) GetSeoKeywords() string  { return do.SeoKeywords }
func (do *WkAigNewsDO) SetSeoKeywords(v string) { do.SeoKeywords = v }
func (do *WkAigNewsDO) GetUrl() string          { return do.Url }
func (do *WkAigNewsDO) SetUrl(v string)         { do.Url = v }
func (do *WkAigNewsDO) GetImageUrl() string     { return do.ImageUrl }
func (do *WkAigNewsDO) SetImageUrl(v string)    { do.ImageUrl = v }
func (do *WkAigNewsDO) GetContent() string      { return do.Content }
func (do *WkAigNewsDO) SetContent(v string)     { do.Content = v }
func (do *WkAigNewsDO) GetIsHotspot() bool      { return do.IsHotspot }
func (do *WkAigNewsDO) SetIsHotspot(v bool)     { do.IsHotspot = v }
func (do *WkAigNewsDO) GetCreatedTime() string  { return do.CreatedTime }
func (do *WkAigNewsDO) SetCreatedTime(v string) { do.CreatedTime = v }
